Subject: Re: [bug#68159] [PATCH] gnu: Add python-camb.

From: Simon Tournier <[email-masked]>
Date: Wed, 17 Jan 2024 16:19:38 +0100

Hi,

On Tue, 16 Jan 2024 at 19:09, Sharlatan Hellseher <[email-masked]> wrote:

> I would appreciate your expertise in this license case. It is a maintained
> fork of an older project written in Python and Fortran.

Well, I do not feel an expert on the topic.  From my point of view,
there is two points:

 1. As mentioned, an unclear license of the current product because it
    is adapted from previous codes.

--8<---------------cut here---------------start------------->8---
Portions of this software were originally based on
CMBFAST  by  Uros Seljak and Matias Zaldarriaga, itself based on Boltzmann code written by Edmund
Bertschinger, Chung-Pei Ma and Paul Bode.

Original CMBFAST copyright and disclaimer:

Copyright 1996 by Harvard-Smithsonian Center for Astrophysics and
the Massachusetts Institute of Technology.  All rights reserved.

THIS SOFTWARE IS PROVIDED "AS IS", AND M.I.T. OR C.f.A. MAKE NO
REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED.
By way of example, but not limitation,
M.I.T. AND C.f.A MAKE NO REPRESENTATIONS OR WARRANTIES OF
MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT
THE USE OF THE LICENSED SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE
ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.

portions of this software are based on the COSMICS package of
E. Bertschinger.  See the LICENSE file of the COSMICS distribution
for restrictions on the modification and distribution of this software.
--8<---------------cut here---------------end--------------->8---

For this point #1, my understanding is:

 a) The license applied by copyright holders is not clear.  However,
    since the license of the modifications is LGPL (with exceptions), we
    could assume that people modifying (and redistributing) the code
    have the right to do.

 b) It is not dual-licensed and not explicitly ’expat’.  Somehow, MIT is
    the copyright holder but that does not imply the license is ’expat’.

 2. It is not plain LGPL but considering 3 exceptions.

--8<---------------cut here---------------start------------->8---
LICENSING
-------------------------------

You are licensed to use this software free of charge within the terms of the LGPL (see below), with
these additional conditions:

- Any publication using results of the code must be submitted
  to arXiv.org at the same time as, or before, submitting to a
  journal. arXiv must be updated with a version equivalent to
  that accepted by the journal on journal acceptance.

- If you identify any bugs you report them as soon as confirmed

- This license, the above copyright notices and disclaimer appear
  on ALL copies of the software and documentation, including
  modifications that you make for internal use or for distribution
--8<---------------cut here---------------end--------------->8---

And from my understanding, these exceptions make the software license
non-free.

Well, I am not a lawyer (IANAL). :-)

Cheers,
simon